package com.dev.swms.server.service.base;


import java.io.File;

import org.springframework.transaction.annotation.Transactional;

import com.dev.energy.server.service.BaseManager;

/**
 * 导入文件管理
 *
 */
@Transactional(readOnly=true)
public interface ImportFileManager extends BaseManager{
	//导入asn
	@Transactional
	void importASN();
	
	/**
	 * 导入收货单
	 * */
	@Transactional
    void importASN(Long asnId,File file);
	
	@Transactional
    void importASNKAMS(Long asnId,File file);
	/**
	 * 导入出库单
	 * */
	@Transactional
    void importXBKPickTicket(File file);
	@Transactional
	void importHLXPickTicket(File file);
	@Transactional
	void importHLX2PickTicket(File file);
	@Transactional
	void importPickTicket(File file,String type);
	@Transactional
	void importPickTicket(File file);
	@Transactional
	void importItem(File file);
	/**
	 * 发动机标识导入
	 * @param file
	 */
	@Transactional
	void importItemFdj(File file);
	/**
	 * 预备货标志导入
	 * @param file
	 */
	@Transactional
	void importItemYbh(File file);
	@Transactional
	void importStoreLine(File file);
	@Transactional
	void importSupplier(File file);
	@Transactional
	void importZone(File file);
	@Transactional
	void importItemRelation(File file);
	@Transactional
	void importPlanShipDetail(File file);
	
	@Transactional
	void importDesignList(File file);
	
	@Transactional
	void importPrint(File file);
	@Transactional
	void importPfPrint(File file);
	/**久保田模板*/
	@Transactional
	void importSgzs(File file);
	/**通用模板*/
	@Transactional
	public void importSgzsKams(File file) ;
}
